PROGRAM GRAPHICLBL!       Example graphiclabel.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-15  Time: 00:22:31

USE JAPI


INTEGER :: frame,label

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI server"
  GO TO 20
END IF

frame   = j_frame("Graphic Label")


label   = j_graphiclabel(frame,"images/mandel.gif")
CALL j_setpos(label,10,30)
CALL j_setsize(label,50,50)

label   = j_graphiclabel(frame,"images/mandel.gif")
CALL j_setpos(label,70,30)
CALL j_setsize(label,150,240)

label   = j_graphiclabel(frame,"images/mandel.gif")
CALL j_setpos(label,230,30)

CALL j_pack(frame)
CALL j_show(frame)

NEXTACTION: DO
      IF(j_nextaction() == frame) EXIT NEXTACTION
END DO NEXTACTION

20   continue

CALL j_quit()

END PROGRAM GRAPHICLBL



